<script lang="ts">
    import { env } from "$env/dynamic/public";
    import { PUBLIC_MOGAHAN_VERSION } from "$env/static/public";
    import VersionInfo from "$lib/VersionInfo.svelte";
  import type { ActionData } from "./$types";

  export let form: ActionData;
</script>

<main>
  <h1>Connexion</h1>
  <form method="POST">
    {#if form?.missing}<p class="error">email manquant</p>{/if}
    {#if form?.incorrect}<p class="error">compte inexistant ou mot de passe invalide</p>{/if}
    <label>
      email

      <input name="email" type="email" value={form?.email ?? ""} />
    </label>
    <label>
      mot de passe
      <input name="password" type="password" />
    </label>
    <div class="buttons">
      <button>connexion</button>
    </div>
  </form>
  <VersionInfo version={env.PUBLIC_MOGAHAN_VERSION} />
</main>

<style>
  main {
    max-width: 30em;
    margin: auto;
    padding: .5em;
  }

  h1 {
    font-size: 180%;
    font-weight: normal;
    color: #444;
  }

  form > * {
    padding: 1.5em 0;
  }

  form label {
    display: flex;
    flex-direction: column;
  }

  form label input {
    font-size: 100%;
    padding: .5em;
    margin: .5em 0;
  }

  div.buttons {
    display: flex;
    flex-direction: row-reverse;
  }

  .error {
    color: red;
  }
</style>